@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@300;400;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=PT+Sans:wght@400;700&display=swap');

:root {
    --main-font-size: 18px;
    --main-line-height: 1.8;
    --main-heading-line-height: 1.4;
    --main-heading-font: 'Oswald', sans-serif;
    --main-body-font: 'PT Sans', sans-serif;

    --main-text-color: #202020;
    --main-site-header-background-color: #f99b2a;

    --main-link-color: #cb432a;
    --main-link-hover-color: #c55c4a;

    --main-highlight-text-color: #cb432a;
    --main-input-label-color: var(--main-link-color);
    --main-input-border-color: var(--main-link-color);
    --main-site-header-nav-link: #cb432a;
    --header-menu-button-icon-color: #cb432a;

    --header-menu-button-text-color: var(--main-site-header-nav-link);
    --main-oos-badge-background-color: #b43d3d;

    --ricca-terra-orange: #cb432a;
    --ricca-terra-orange-highlight: #c55c4a;
    --ricca-terra-yellow: #f99b2a;



    --main-product-toggle-filter-background-color: #f99b2a;
    --main-product-toggle-filter-highlight-background-color: #d17a42;
    --main-product-toggle-filter-background-active-color: var(--main-link-color);
    --main-product-toggle-filter-background-highlight-active-color: var(--main-link-hover-color);

    /*product */

    --main-product-image-background: #fff;
    --main-product-price-text-color: var(--main-link-color);
    --main-oos-product-badgee-background-color: #cc432a;

    /*header */
    --header-menu-button-size: 2.5rem;
    --header-menu-button-icon-size: 2.5rem;
    --main-site-header-icon-size: 2.5rem;
    --main-header-secondary-font-size: 1.05em;
    --main-header-secondary-font-weight: 400;
    --main-site-header-background-color: #f99b2a;
    --main-site-header-height: 5.5em;


    /*banner */
    --main-banner-padding: 4.5em;
    --main-banner-description-font-size: 1em;
    --main-banner-title-font-size: 2.2em;
    --main-banner-title-font-weight: 500;

    --main-banner-content-width-lg: 50%;
    --main-banner-content-width-xl: 65%;
    --main-banner-background-position: center center;

    --main-page-header-banner-background: #ca422c;

    --main-award-badge-background-color: #e1e1e1;
    --main-award-badge-text-color: var(--main-text-color);

    /*footer */
    --main-footer-border-color: rgba(238, 116, 98, 0.35);
    --main-footer-background-color: #942c63;
    --main-footer-text-color: #f17663;
    --main-footer-link-color: #f17663;


    --main-footer-border-color: rgba(203, 67, 42, 0.2);
    --main-footer-background-color: #f99b2a;
    --main-footer-text-color: var(--main-link-color);
    --main-footer-link-color: var(--main-link-color);

    /*buttons*/

    --main-button-primary-border-radius: 0px;
    --main-button-primary-border-color: #f99b2a;
    --main-button-primary-background-color: #f99b2a;
    --main-button-primary-text-color: #cb432a;

    /*age gate*/
    --main-agegate-background-color: rgba(0, 0, 0, 0.25);
    --main-agegate-card-background-color: #f99b2a;
    --main-agegate-card-text-color: #cb432a;
    --main-agegate-button-text-color: var(--main-link-color);


    --vc-dark-color: #ca442a;
    --vc-dark-contrast-color: #8e2713;

    --vc-light-color: #ca442a;
    /* #f5d5c9; */
    --vc-light-contrast-color: #de9b83;

    --vc-accent-color: #f99b2a;
    --vc-accent-contrast-color: #e8860f;

    --neutral-1: #daa7a7;
    --neutral-2: #ed612a;
    --neutral-3: #a33006;
}

.header-menu-section {
    --main-logo-width: 160px;
    --main-logo-width-sm: 230px;
    --main-logo-width-md: 240px;
    --main-logo-width-lg: 255px;
}

/* addressing a bug that's not still not fixed */

.header.header-menu-section-noticebar {
    top: 70px;
}

/*body overrides */

html {
    font-size: var(--main-font-size);
}

/*absolute header */
.header-menu-section .my-account-container .btn {
    padding: 0;
}

.header.header-menu-section .navbar-nav .nav-link {
    padding: .25em;
}

.header-menu-section .header-navigation-region .dropdown-toggle:after {
    opacity: .5;
    transition: opacity .3s ease-in-out;
    margin-left: .25em;
    vertical-align: middle;
}

.not-absolute-header .header.header-menu-section-noticebar {
	margin-top:0 !important;
}
.not-absolute-header .header.header-menu-section {
	position: relative !important;
}

.not-absolute-header .main-menu-region {
	margin-top:0 !important;
}

.not-absolute-header .header.header-menu-section-noticebar  {
	top:0px !important;
}

/*agegate inner*/

.age-gate .age-gate-inner .gate-box .btn {
    border-radius: 0px;
}

.age-gate .age-gate-inner .gate-box {
    padding: 3em 3.5em;
    max-width: 700px;
    margin: 0 auto;
}


/*sales bar */

.sales-bar .sales-highlight-text-element:not(:last-child) {
    margin: 0 !important;
}

.sales-bar {
    --sales-bar-font-size: .9em !important;
    --sales-bar-vertical-padding: 0.35em !important;
}

.sales-bar .sales-bar-inner {
    width: 100%;
}

.sales-bar .sales-highlight-text {
    flex-direction: row !important;
    justify-content: center;
    gap: .5em;
    align-items: center;
}

/*banner overrides*/
.main-banner-section .featured-swiper .swiper-wrapper > .swiper-slide:last-child .banner-item .banner-title {
    position: relative;
}

.main-banner-section .featured-swiper .swiper-wrapper > .swiper-slide:last-child .banner-item .banner-title:before {
    content: " ";
    width: 6em;
    height: 6em;
    background: url(/dist/images/awards/2027-halliday-viticulturist-of-the-year.png);
    position: absolute;
    content: " ";
    z-index: 2;
    background-size: contain;
    background-repeat: no-repeat;
    bottom: 0;
    top: -7em;

}
.main-banner-section .featured-swiper .swiper-wrapper > .swiper-slide:last-child .banner-item .banner-content.banner-text-center .banner-title:before {
    left: 0;
    right: 0;
    margin: 0 auto;
}

.main-banner-section {
    --main-banner-padding: 4em;
}

.banner-item .banner-content .col {
    max-width: 700px;
}

.banner-action .banner-btn {
    font-family: var(--main-heading-font);
    font-size: 1.25em;
}


/*buttons*/
.advanced-wysiwyg-content-region .btn.btn-primary-cta,
.card-color .card-actions .btn.btn-primary-cta,
.card-type-color .banner-action a.banner-btn-primary,
.header-content .header-links .btn-primary,
.card-type-photo .banner-btn.banner-btn-primary,
.card.card-photo .card-actions a.btn.btn-primary-cta,
.card.card-icon .card-actions a.btn.btn-primary-cta {
    --main-button-primary-border-color: var(--ricca-terra-yellow);
    --main-button-primary-background-color: var(--ricca-terra-yellow);
    --main-button-primary-text-color: var(--ricca-terra-orange);
    --main-button-primary-border-radius: 0px;
    border: 2px solid var(--main-button-primary-border-color) !important;
    border-radius: var(--main-button-primary-border-radius);
    color: var(--main-button-primary-text-color) !important;
    padding: .75em 1.5em;
    background-color: var(--main-button-primary-background-color) !important;
}

.advanced-wysiwyg-content-region .btn.btn-primary-cta:hover,
.card-type-color .banner-action a.banner-btn-primary:hover,
.card-color .card-actions .btn.btn-primary-cta:hover,
.header-content .header-links .btn-primary:hover,
.card-type-photo .banner-btn.banner-btn-primary:hover,
.card.card-photo .card-actions a.btn.btn-primary-cta:hover,
.card.card-icon .card-actions a.btn.btn-primary-cta:hover {
    --main-button-primary-highlight-background-color: var(--ricca-terra-orange-highlight);
    --main-button-primary-highlight-border-color: var(--ricca-terra-orange-highlight);
    --main-button-primary-highlight-text-color: #fff;
    border: 2px solid var(--main-button-primary-highlight-border-color) !important;
    background-color: var(--main-button-primary-highlight-background-color) !important;
    color: var(--main-button-primary-highlight-text-color) !important;
}


.advanced-wysiwyg-content-region .btn.btn-secondary-cta,
.card-color .card-actions .btn.btn-secondary-cta,
.card-type-color .banner-action a.banner-btn-secondary,
.header-content .header-links .btn-secondary,
.card-type-photo .banner-btn.banner-btn-secondary,
.card.card-photo .card-actions a.btn.btn-secondary-cta,
.card.card-icon .card-actions a.btn.btn-secondary-cta {
    --main-button-secondary-border-color: #fff;
    --main-button-secondary-background-color: transparent;
    --main-button-secondary-text-color: #fff;
    --main-button-secondary-border-radius: 0px;
    background: var(--main-button-secondary-background-color) !important;
    border: 2px solid var(--main-button-secondary-border-color) !important;
    font-family: var(--main-body-font);
    border-radius: var(--main-button-secondary-border-radius);
    color: var(--main-button-secondary-text-color) !important;
    padding: .75em 1.5em;
}

.advanced-wysiwyg-content-region .btn.btn-secondary-cta:hover,
.card-color .card-actions .btn.btn-secondary-cta:hover,
.card-type-color .banner-action a.banner-btn-secondary:hover,
.header-content .header-links .btn-secondary:hover,
.card-type-photo .banner-btn.banner-btn-secondary:hover,
.card.card-photo .card-actions a.btn.btn-secondary-cta:hover,
.card.card-icon .card-actions a.btn.btn-secondary-cta:hover {
    --main-button-secondary-highlight-background-color: #ffff;
    --main-button-secondary-background-color: #fff;
    --main-button-secondary-highlight-text-color: var(--main-link-color);
    --main-button-secondary-border-color: #fff;
    background-color: var(--main-button-secondary-background-color) !important;
    color: var(--main-button-secondary-highlight-text-color) !important;
    border-color: var(--main-button-secondary-border-color) !important;
    box-shadow: 0px 2px 4px 3px rgba(0, 0, 0, .15);
}


/*cta sections */
.cta-section {
    padding-top: 0;
}

.cta-section.cta-section-5 {
    padding: 3em 0em;
}

.cta-section .social-group {
    display: flex;
    justify-content: center;
    margin: 0 auto;
}

.cta-section .social-group .social-list {
    gap: 1em;
    margin: 0;
}

.icon-cta-ghost .highlight-cta {
    --cta-text-heading-color: #ffffff;
    --cta-text-color: #ffffff;
}


/*upper cta */
.cta-section.middle-cta-section .home-intro-content .highlight-element {
    padding: 1.5em 0em;
}

.cta-section.upper-cta-section .home-intro-content .wysiwyg-content {
    color: white;
}

.cta-section.upper-cta-section {
    background: #cb432a;
    padding: 3em 0em;
}

.cta-section.middle-cta-section .home-intro-content .wysiwyg-content,
.cta-section.upper-cta-section .home-intro-content .wysiwyg-content {
    position: relative;
    max-width: 700px;
    margin: 0 auto;
    font-size: 1.2em;
    line-height: 1.8;
}

.cta-section.upper-cta-section {
    --main-product-price-text-color: #fff;
    --vc-text-color: #fff;
}

.cta-section.upper-cta-section .highlight-element.highlight-content {
    margin-bottom: 1.5em;
}

.cta-section.upper-cta-section .home-intro-content a {
    color: var(--ricca-terra-yellow);
}

.cta-section.upper-cta-section .product-item .image-container .content-layer .btn.quick-view {
    --main-link-color: var(--ricca-terra-yellow);
    --main-link-color: var(--ricca-terra-yellow);
    --main-text-overlay-color: var(--ricca-terra-orange);
}

.cta-section.upper-cta-section .product-item {
    --main-text-heading-color: #fff;
}

.cta-section.cta-section-1 {
    background: #cb432a;
    padding: 3em 0em 0em 0em;
}

.cta-section.cta-section-2 {
    background: #cb432a;
    padding: 0em 0em 3em 0em;
}

.special-tag {
    line-height: 1.25;
}

.special-tag:before {
    content: " ";
    position: absolute;
    box-shadow: inset 0px 0px 0 2px white;
    width: calc(100% - .5em);
    height: calc(100% - .5em);
    z-index: 222;
    top: .25em;
    left: .25em;
    border-radius: 100%;
    opacity: .25;

}

.product-item .image-container .content-layer .product-tags .out-of-stock-tag .tag-content {
    padding: .5em !important;
    line-height: 1.1;
}

.top-filters .view-toggle .btn {
    border-radius: 0px !important;
}

/* table overrides */
.table thead th,
.table th,
.table td,
table .cart-view-table {
    border-color: var(--main-border-color) !important;
}

.table tbody+tbody {
    border-top-color: var(--main-border-color) !important;
}

.teaser-list-item {
    border-color: var(--main-border-color) !important;
}

.header.header-menu-section .secondary-region .header-navigation-region .mini-main-navigation .navigation.nav>li,
.header.header-menu-section .secondary-region .header-navigation-region .mini-main-navigation .navigation.nav>ul {
    margin-left: 1em;
}

.footer-section .logo-container {
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 6em;
}

.footer-section .logo-container:before {
    width: 15em;
    height: 5em;
    background: url(/dist/logos/website/custom-logo-group.png);
    position: absolute;
    content: " ";
    z-index: 2;
    background-size: contain;
    background-repeat: no-repeat;
    top: 0;
}

@media (min-width: 768px) {
    .footer-section .logo-container:before {
        width: 24em;
        height: 6.25em;
    }

    .footer-section .logo-container {
        height: 13em;
    }
}

/* sitegate modal override */

@media (max-width: 992px) {
    .sitegate .close-modal {
        opacity: .75 !important;
    }

    .sitegate {
        --sales-modal-close-icon-color: #fff;
    }
}

.modal-image-display .sales-modal-content {
    padding: calc(var(--sales-modal-content-padding)*3.5) calc(var(--sales-modal-content-padding)*1.5) !important;
}

.modal-form-display.vc-form {
    padding: 0;
}

/*vc concilio theming */

.client-theme-1 {

    --vc-dark-color: #ca442a;
    --vc-dark-contrast-color: #8e2713;

    --vc-light-color: #f5d5c9;
    --vc-light-contrast-color: #de9b83;

    --vc-accent-color: #f99b2a;
    --vc-accent-contrast-color: #e8860f;

    --neutral-1: #daa7a7;
    --neutral-2: #ed612a;
    --neutral-3: #a33006;
}